#!/bin/sh

# script to create new Makefile.config from present kernel.
exec > Makefile.config

echo "# AUTOMATICALLY CREATED by setup.sh"
echo "# All contents will be overwritten by"
echo "# the next run of setup.sh"

FULL_VERSION=$(uname -r)
echo FULL_VERSION=$FULL_VERSION
FLAVOUR=$(uname -r | sed 's/\(.*\)-\(.*\)$/\2/')
echo FLAVOUR=$FLAVOUR
ARCH=$(uname -p)
echo ARCH=$ARCH
KERNEL_BUILD_DIR=/usr/src/linux-obj/$ARCH/$FLAVOUR
echo KERNEL_BUILD_DIR=$KERNEL_BUILD_DIR
KERNEL_HEADERS_DIR=/usr/src/linux
echo KERNEL_HEADERS_DIR=$KERNEL_HEADERS_DIR
INSTALL_MOD_PATH=/lib/modules/$FULL_VERSION/kernel/fs/openafs
echo INSTALL_MOD_PATH=$INSTALL_MOD_PATH
SMP=$(grep CONFIG_SMP=y $KERNEL_HEADERS_DIR/.config)
if [ "x$SMP" = "x" ]; then
  PROC_TYPE=SP
else 
  PROC_TYPE=MP
fi
COMPILE_DIR=/usr/src/kernel-modules/openafs/libafs_tree/src/libafs/MODLOAD-$FULL_VERSION-$PROC_TYPE
echo COMPILE_DIR=$COMPILE_DIR 
